%define name geotiff
%define version 1.2.2
%define release %mkrel 6

%define major 1
%define libname %mklibname geotiff %{major}

%define  _requires_exceptions devel(/lib/libNoVersion)

Name:          %name
Summary:       Cartographic software
Version:       %version
Release:       %release
Source:        libgeotiff-%{version}.tar.bz2
Patch:         libgeotiff-%{version}-so_name.patch.bz2
License:       MIT style
URL:           http://www.remotesensing.org/geotiff/geotiff.html
Group:         Sciences/Geosciences
BuildRoot:     %{_tmppath}/%{name}-buildroot
Requires:      %{_lib}proj0 >= 4.4.3
BuildRequires: libtiff-devel >= 3.6.0 
BuildRequires: libjpeg-devel 
BuildRequires: zlib-devel 
BuildRequires: proj-devel

%description
This library is designed to permit the extraction and parsing of the
"GeoTIFF" Key directories, as well as definition and installation
of GeoTIFF keys in new files. For more information about GeoTIFF
specifications, projection codes and use, see the WWW web page at:

   http://www.remotesensing.org/geotiff/geotiff.html


%package -n %libname
Summary: Cartographic software - Libraries
Group: Sciences/Geosciences

%description -n %libname
This library is designed to permit the extraction and parsing of the
"GeoTIFF" Key directories, as well as definition and installation
of GeoTIFF keys in new files. For more information about GeoTIFF
specifications, projection codes and use, see the WWW web page at:

%package -n %libname-devel
Summary: Cartographic software - Development files
Group: Sciences/Geosciences
License: MIT style
Requires: %libname = %{version}-%{release}
Provides: libgeotiff-devel = %{version}-%{release}
Provides: geotiff-devel = %{version}-%{release}
Requires: libtiff-devel >= 3.6.0

%description -n %libname-devel
libgeotiff development files.

%prep
%setup -q -n libgeotiff-%version
%patch -p1

%build

%configure \
	--with-proj=%{_prefix} \
	--with-jpeg=%{_prefix} \
	--with-libtiff=%{_prefix} \
	--enable-incode-epsg

make COPTS="$RPM_OPT_FLAGS -fPIC" LDFLAGS="$LDFLAGS -lc"

%install
rm -Rf %{buildroot}
%makeinstall
chmod 644 $RPM_BUILD_ROOT%{_includedir}/*

rm -rf $RPM_BUILD_ROOT%_datadir/*.csv

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%{_bindir}/*
%doc docs/*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/*.a

%changelog
* Wed May 11 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.2.2-6mdk
- fix devel requires

* Wed May 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.2-5mdk
- Fix URL and description ( thanks rgs)

* Wed May 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.2-4mdk
- Rebuild

* Mon May 09 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.2-3mdk
- Fix BuildRequires
- %%mkrel

* Thu May 27 2004 Olivier Blin <blino@mandrake.org> 1.2.2-2mdk
- merge changelog back

* Wed May 26 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.2.2-1mdk
- 1.2.2
- Put blino's fixes back

* Wed May 26 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.2.1-2mdk
-rebuild

* Wed Jan  7 2004 Olivier Blin <blino@mandrake.org> 1.1.4-7mdk
- Patch0: try to fix soname
- rename specfile to please rpmlint
- fix Groups
- fix License
- BuildRequires, drop redundant Requires
- rm -rf $RPM_BUILD_ROOT at beginning of %%install
- mklibname

* Fri Aug 08 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.2.1-1mdk
- 1.2.1
- fix libname
- drop manual link creation

* Mon Jul 14 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.2.0-1mdk
- 1.2.0
- build with system tiff (requires tiff>=3.6.0)
- tighten requires

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-6mdk
- rebuild

* Wed Oct 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-5mdk
- fix link

* Mon Sep 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-4mdk
- rebuild

* Thu Aug 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-3mdk
- rebuild

* Mon Aug 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-2mdk
- rebuild

* Thu Jun 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-1mdk
- added in contribs by Laurent Grawet <laurent.grawet@ibelgique.com>
